### Function

# Pango read_line

#### Declaration [src]

    gint
    pango_read_line (
      FILE* stream,
      GString* str
    )

#### Description [src]

Reads an entire line from a file into a buffer.

Lines may be delimited with ‘\n’, ‘\r’, ‘\n\r’, or ‘\r\n’. The delimiter is not written into the buffer. Text after a ‘#’ character is treated as a comment and skipped. ‘' can be used to escape a # character. ‘' proceeding a line delimiter combines adjacent lines. A ‘' proceeding any other character is ignored and written into the output buffer unmodified.

#### Parameters

`stream` | `FILE*`
| A stdio stream.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`str` | `GString*`
| `GString` buffer into which to write the result.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gint`
| 0 if the stream was already at an `EOF` character, otherwise the number of lines read (this is useful for maintaining a line number counter which doesn’t combine lines with ‘')